#[repr(u8)]
#[derive(Copy, Clone, Debug, PartialEq, Eq, PartialOrd, Ord)]
#[cfg_attr(feature = "serde", derive(Serialize, Deserialize))]
#[cfg_attr(
    feature = "serde",
    serde(rename_all = "snake_case", deny_unknown_fields)
)]
pub enum JobStoppedReason {
    Finished = 0,
    StoppedByUser = 1,
    ExitCriterionMatched = 2,
    Failed = 3,
}
